/*
 * Copyright 2010 PC-NG Inc. All rights reserved.
 * PC-NG PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.nexiwave.search.client.sample;

import java.io.File;

import com.nexiwave.search.client.SearchService2Stub;


public class TestData {
	
	private String userId;
	private String passwd;
	
	private String smallAudioFileURL;
	private String audioFileURL;
	
	private File localAudioFile;
	
	private String masterNexiwaveAccountEmail;
	private String masterNexiwavePassword;
	private long childAccountGroupId;
	
	public void config(SearchService2Stub.AuthData authData){
		authData.setEmail(getUserId());
		authData.setPasswd(getPasswd());
		authData.setGroupId(getChildAccountGroupId());
	}
	
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getPasswd() {
		return passwd;
	}
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}
	public String getSmallAudioFileURL() {
		return smallAudioFileURL;
	}
	public void setSmallAudioFileURL(String smallAudioFile) {
		this.smallAudioFileURL = smallAudioFile;
	}
	public String getAudioFileURL() {
		return audioFileURL;
	}
	public void setAudioFileURL(String audioFile) {
		this.audioFileURL = audioFile;
	}
	public String getMasterNexiwaveAccountEmail() {
		return masterNexiwaveAccountEmail;
	}
	public void setMasterNexiwaveAccountEmail(String masterNexiwaveAccountEmail) {
		this.masterNexiwaveAccountEmail = masterNexiwaveAccountEmail;
	}
	public String getMasterNexiwavePassword() {
		return masterNexiwavePassword;
	}
	public void setMasterNexiwavePassword(String masterNexiwavePassword) {
		this.masterNexiwavePassword = masterNexiwavePassword;
	}
	public long getChildAccountGroupId() {
		return childAccountGroupId;
	}
	public void setChildAccountGroupId(long childAccountGroupId) {
		this.childAccountGroupId = childAccountGroupId;
	}

	public File getLocalAudioFile() {
		return localAudioFile;
	}

	public void setLocalAudioFile(File localAudioFile) {
		this.localAudioFile = localAudioFile;
	}

}
